Summary:	The GNU versions of find utilities (find and xargs)
Name:		findutils
Version:	4.9.0
Release:	%mkrel 1
License:	GPLv3
Group:		File tools
URL:		http://www.gnu.org/software/findutils/findutils.html
Source0:	ftp://ftp.gnu.org/pub/gnu/findutils/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/pub/gnu/findutils/%{name}-%{version}.tar.xz.sig
Patch1:		findutils-4.5.15-no-locate.patch
Patch2:		findutils-4.4.2-xautofs.patch
Patch3:		findutils-4.5.13-warnings.patch
Patch4:		findutils-4.6.0-test-lock.patch
Patch5:		findutils-4.6.0-leaf-opt.patch
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern). The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%prep
%setup -q
rm -rf locate
%apply_patches

%build
# needed because of findutils-4.5.15-no-locate.patch
autoreconf -vfi
%configure2_5x \
	--disable-rpath \
	--enable-leaf-optimisation \
	--enable-d_type-optimization


%make

%install
rm -rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}/bin
ln -fs %{_bindir}/find %{buildroot}/bin/find
ln -fs %{_bindir}/xargs %{buildroot}/bin/xargs

%{find_lang} %{name}

%files -f %{name}.lang
/bin/find
/bin/xargs
%{_bindir}/find
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find*


%changelog
* Fri Feb 04 2022 tex - 4.9.0-1pclos2022
- new version

* Tue Jan 12 2021 tex - 4.8.0-1pclos2021
- new version

* Mon Nov 11 2019 tex - 4.7.0-1pclos2019
- new version

* Tue May 07 2019 tex - 4.6.0-4pclos2019
- rebuild against updates

* Wed Jan 06 2016 bb <bb> 4.6.0-3pclos2016
- fix symlink

* Tue Jan 05 2016 bb <bb> 4.6.0-2pclos2016
- fix bin locations for mkinitrd

* Sun Jan 03 2016 bb <bb> 4.6.0-1pclos2016
- update
